using Knot.Contracts.Profiles.Application.DTOs;
using Knot.Shared.Kernel;
using MediatR;

namespace Knot.Contracts.Profiles.Application.Profiles.GetUser;

public record GetProfileQuery(Guid UserId) : IRequest<Result<UserProfileDto>>;

public record GetCurrentUserQuery() : IRequest<Result<UserProfileDto>>;
